From 053a0f4e77ad14a08f7fb8fb96152fae4406bd9a Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Wed, 14 Mar 2018 16:24:03 +0530
Subject: [PATCH 1/2] Fix typo in one of comments in add_paths_to_append_rel()

The comment mentions the number of paths instead of number of workers
by mistake.

Ashutosh Bapat
---
 src/backend/optimizer/path/allpaths.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/optimizer/path/allpaths.c b/src/backend/optimizer/path/allpaths.c
index 1c792a0..c58d7b8 100644
--- a/src/backend/optimizer/path/allpaths.c
+++ b/src/backend/optimizer/path/allpaths.c
@@ -1574,7 +1574,7 @@ add_paths_to_append_rel(PlannerInfo *root, RelOptInfo *rel,
 
 		/*
 		 * If the use of parallel append is permitted, always request at least
-		 * log2(# of children) paths.  We assume it can be useful to have
+		 * log2(# of children) workers.  We assume it can be useful to have
 		 * extra workers in this case because they will be spread out across
 		 * the children.  The precise formula is just a guess, but we don't
 		 * want to end up with a radically different answer for a table with N
-- 
1.7.9.5

